# addons/eventscripts/steamid/steamid.py
# Requires Eventscripts 2.0

# *****************************************************
# ***** DO NOT EDIT THIS FILE - EDIT CONFIG.CFG *******
# *****************************************************

# *****************************************************
# ********** DO NOT EDIT ANYTHING BELOW THIS **********
# *****************************************************

# ~ Imports
import es
import cfglib

# ~ Addon information
info = es.AddonInfo()
info.name = 'Steamid Shower'
info.version = '1.0'
info.basename = 'steamid'
info.author = 'Craziest'
info.description = 'Shows the users steamid via a command'

config = cfglib.AddonCFG(es.getAddonPath("steamid") + "/config.cfg")
 
config.text("******************************")
config.text("***** UB-MONITOR_steam-id *****")
config.text("********* cardo ***********")

steamidCommand = config.cvar('steamider_command', '!steamid', 'The command which users can use to see the targets steamid')
steamidAnnounce = config.cvar('steamider_announce', 1, 'Announce player the plugin is working every round')
steamidText = config.cvar('steamider_esc_textbox', 1, 'Show an ESC textbox where users can copy the steamid')
steamidText_time = config.cvar('steamider_esc_time', 10, 'How long should the esc textbox stay before timing out')
steamidConsole = config.cvar('steamider_console_message', 1, 'Post the steamid in separate lines in the console, for easier copying')
steamidConsole_count = config.cvar('steamider_console_amount', 5, 'How many times should the steamid be posted in the console')

config.write()

# ~ Load/Unload Functions
def load():
    es.regsaycmd(steamidCommand, "steamid/steamidCmd")
    config.execute()
    
def unload():
    es.unregsaycmd(steamidCommand)

# ~ Event Functions
def round_start(ev):
    if steamidAnnounce:
        es.msg('#multi', '#lightgreen[#greenUB-MONITOR#lightgreen] #greenCommand: #lightgreen%s#default ~#green See the player\'s steamid!' % steamidCommand)

# ~ Command Functions
def steamidCmd():
    userid = es.getcmduserid()
    if es.getargc() > 1:
        player = es.getuserid(es.getargv(1))
        if not es.isbot(player):
            steamid = es.getplayersteamid(player)
            name = es.getplayername(player)
            if name == None:
                es.tell(userid,'#multi', '#lightgreen[#greenUB-MONITOR#lightgreen] #lightgreenError! #default~ #greenThe specified player does not exit.')
            else:
                if steamidText:
                    es.esctextbox(steamidText_time, userid, "Steamider Copy Box", "\n\n   Username: %s\n   Steamid: %s" % (name, steamid))
                    es.tell(userid, '#multi', '#lightgreen[#greenUB-MONITOR#lightgreen] #greenName: #lightgreen%s #default~ #greenSteamid: #lightgreen%s#default ~ #greenPress #lightgreenESC #green: Copy' % (name, steamid))
                if not steamidText:
                    es.tell(userid, '#multi', '#lightgreen[#greenUB-MONITOR#lightgreen] #greenName: #lightgreen%s #default~ #greenSteamid: #lightgreen%s' % (name, steamid))
                    
                if steamidConsole:
                    for i in range(int(steamidConsole_count)): es.cexec(userid, 'echo ' + steamid)
        else:
            es.tell(userid, '#multi', '#lightgreen[#greenUB-MONITOR#lightgreen] #lightgreenError! #default~ #greenThe player is a bot.')
    else:
        es.tell(userid, '#multi', '#lightgreen[#greenUB-MONITOR#lightgreen] #greenSyntax #default~ #lightgreen%s #green<#lightgreenname#green/#lightgreenuserid#green>' % steamidCommand)
        
    